Package org.apache.solr.client.solrj.routing

## Class NoOpReplicaListTransformer

- java.lang.Object
- - org.apache.solr.client.solrj.routing.NoOpReplicaListTransformer

All Implemented Interfaces:
  `ReplicaListTransformer`

    public final class NoOpReplicaListTransformer
    extends Object
    implements ReplicaListTransformer

### Field Summary

Fields
`static ReplicaListTransformer` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> void` `transform​(List<T> choices)` Transforms the passed in list of choices.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ReplicaListTransformer INSTANCE

### Method Detail

#### transform

    public <T> void transform​(List<T> choices)

Description copied from interface: `ReplicaListTransformer`
Transforms the passed in list of choices. Transformations can include (but are not limited to) reordering of elements (e.g. via shuffling) and removal of elements (i.e. filtering).

Specified by:
  `transform` in interface `ReplicaListTransformer`
Parameters:
  `choices` - - a list of choices to transform, typically the choices are `Replica` objects but choices can also be `String` objects such as URLs passed in via the `ShardParams.SHARDS` parameter.